#! /usr/bin/env python3

import sys
from pathlib import Path

import cd

if __name__ == "__main__":
    command, *arguments = sys.argv
    command = Path(command).name
    if command == "__main__.py":
        cd.set_ssh(*arguments)
        cd.install_commands(__file__)
    else:
        command = command.replace("-", "_")
        function = getattr(cd, command)
        function(*arguments)
